Name:		loongson-themes
Version:	1.0
Release:	4%{?dist}
Summary:	Loongson themes
Vendor:		Jin Guojie

Group:		Loongson
License:	GPL
URL:		http://www.loongson.cn
Source0:	loongson-themes-1.0.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	dconf
BuildArch:      noarch
Requires:	fedora-icon-theme
Requires:	mate-icon-theme

%description
龙芯主题

%prep
%setup -q


%build
dconf compile user src

%install
rm -rf $RPM_BUILD_ROOT

DEST=$RPM_BUILD_ROOT/etc/skel/.config/dconf/
mkdir -p  $DEST
cp -a user $DEST

#龙芯热线图标
DEST=$RPM_BUILD_ROOT/etc/skel/桌面
mkdir -p  $DEST
cp -a loongson-support.desktop $DEST

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/*

%changelog
* Tue Apr 18 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-4
- 窗口管理器：禁用软件混成窗口管理器（消除1080P视频播放的异常横线问题）

* Sat Mar 4 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-3
- 桌面增加龙芯热线图标

* Tue Feb 14 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-2
- 右下角增加：软件自动更新的提示器
- 窗口管理器：启用软件混成窗口管理器

* Wed Aug 10 2016 Jin Guojie <jinguojie@loongson.cn> :1.0-1
- 龙芯主题
  窗口风格：保持使用BlueMenta
  只留底部一个面板
  去除“工作区选择器”
  图标：改为“薄雾”（依赖包fedora-icon-theme）
  背景：使用内置的“Arc”
  Alt-tab切换窗口时禁用缩略图
